| Visioscan Set SDK Libraries 1.0.28 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
SensorErrorException Class Reference

An exception used when the sensor returns an error related to a command excecution. More...

`#include <SensorErrorException.h>`

Inheritance diagram for SensorErrorException:

## Public Member Functions
| SensorErrorException (const char *message, const char *translateCode)
| Copy constructor.
| SensorErrorException (string code, const string &message, string translateCode)
| Copy constructor.
| SensorErrorException (const string &message, string translateCode)
| Copy constructor.
virtual | ~SensorErrorException () noexcept
| Destructor.
virtual const char * | what () const noexcept
| Overload of message retrie.
string | GetErrorCode ()

## Protected Attributes
string | _msg
string | _code = ""

## Detailed Description

An exception used when the sensor returns an error related to a command excecution.

## Constructor & Destructor Documentation

## ◆ SensorErrorException() [1/3]

SensorErrorException::SensorErrorException | ( | const char * | message,
|  | const char * | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message pointer to a char

## ◆ SensorErrorException() [2/3]

SensorErrorException::SensorErrorException | ( | string | code,
|  | const string & | message,
|  | string | translateCode )
| explicit

Copy constructor.

Parameters

  code | The error code
  message | A message string

## ◆ SensorErrorException() [3/3]

SensorErrorException::SensorErrorException | ( | const string & | message,
|  | string | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message string

## ◆ ~SensorErrorException()

virtual SensorErrorException::~SensorErrorException | ( |  | ) |
| inline virtual noexcept

Destructor.

Returns

## Member Function Documentation

## ◆ GetErrorCode()

string SensorErrorException::GetErrorCode | ( |  | ) |

## ◆ what()

virtual const char * SensorErrorException::what | ( |  | ) | const
| inline virtual noexcept

Overload of message retrie.

Returns
  A pointer to a char representing the message

## Member Data Documentation

## ◆ _code

string SensorErrorException::_code = ""
| protected

## ◆ _msg

string SensorErrorException::_msg
| protected

The documentation for this class was generated from the following files:

- SensorErrorException.h
- SensorErrorException.cpp